#ifndef DATABASE_MARIADB_COMMON_BMX_RELEASE_WIN32_X86_H
#define DATABASE_MARIADB_COMMON_BMX_RELEASE_WIN32_X86_H

#include <brl.mod/blitz.mod/.bmx/blitz.bmx.release.win32.x86.h>
#include <database.mod/core.mod/.bmx/core.bmx.release.win32.x86.h>
int _bb_database_mariadb_common();
extern void __stdcall  mysql_close(BBBYTE* bbt_handle);
extern BBINT __stdcall  mysql_ping(BBBYTE* bbt_handle);
extern BBINT __stdcall  mysql_query(BBBYTE* bbt_handle,BBBYTE* bbt_query);
extern BBINT __stdcall  mysql_errno(BBBYTE* bbt_handle);
extern BBBYTE* __stdcall  mysql_error(BBBYTE* bbt_handle);
extern BBBYTE* __stdcall  mysql_init(BBINT bbt_h);
extern BBINT __stdcall  mysql_get_client_version();
extern BBINT __stdcall  mysql_real_connect(BBBYTE* bbt_handle,BBBYTE* bbt_host,BBBYTE* bbt_user,BBBYTE* bbt_passwd,BBBYTE* bbt_db,BBINT bbt_port,BBBYTE* bbt_unix_socket,BBINT bbt_client_flag);
extern BBINT __stdcall  mysql_select_db(BBBYTE* bbt_handle,BBBYTE* bbt_db);
extern void __stdcall  mysql_set_character_set(BBBYTE* bbt_handle,BBBYTE* bbt_text);
extern BBINT __stdcall  mysql_get_server_version(BBBYTE* bbt_handle);
extern BBINT __stdcall  mysql_real_query(BBBYTE* bbt_handle,BBBYTE* bbt_query,BBINT bbt_size);
extern BBBYTE* __stdcall  mysql_store_result(BBBYTE* bbt_handle);
extern BBINT __stdcall  mysql_field_count(BBBYTE* bbt_handle);
extern BBBYTE* __stdcall  mysql_fetch_field_direct(BBBYTE* bbt_handle,BBINT bbt_index);
extern BBINT __stdcall  mysql_stmt_fetch(BBBYTE* bbt_stmt);
extern BBBYTE* __stdcall  mysql_fetch_row(BBBYTE* bbt_stmt);
extern void __stdcall  mysql_free_result(BBBYTE* bbt_result);
extern BBBYTE* __stdcall  mysql_stmt_init(BBBYTE* bbt_handle);
extern BBINT __stdcall  mysql_stmt_prepare(BBBYTE* bbt_stmt,BBBYTE* bbt_query,BBINT bbt_size);
extern BBINT __stdcall  mysql_stmt_param_count(BBBYTE* bbt_stmt);
extern BBINT __stdcall  mysql_stmt_execute(BBBYTE* bbt_stmt);
extern BBBYTE* __stdcall  mysql_stmt_error(BBBYTE* bbt_stmt);
extern BBBYTE* __stdcall  mysql_stmt_result_metadata(BBBYTE* bbt_stmt);
extern BBINT __stdcall  mysql_num_fields(BBBYTE* bbt_meta);
extern BBULONGINT* __stdcall  mysql_fetch_lengths(BBBYTE* bbt_result);
extern BBBYTE* __stdcall  mysql_fetch_field(BBBYTE* bbt_meta);
extern BBINT __stdcall  mysql_stmt_store_result(BBBYTE* bbt_stmt);
extern BBBYTE* __stdcall  mysql_list_tables(BBBYTE* bbt_handle,BBBYTE* bbt_name);
extern BBSTRING bmx_mysql_field_name(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_org_name(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_table(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_org_table(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_db(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_catalog(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_field_def(BBBYTE* bbt_f);
extern BBULONGINT bmx_mysql_field_length(BBBYTE* bbt_f);
extern BBULONGINT bmx_mysql_field_max_length(BBBYTE* bbt_f);
extern BBINT bmx_mysql_field_flags(BBBYTE* bbt_f);
extern BBINT bmx_mysql_field_type(BBBYTE* bbt_f);
extern BBINT bmx_mysql_field_decimals(BBBYTE* bbt_f);
extern BBSIZET bmx_mysql_length_for_field(BBBYTE* bbt_f);
extern BBBYTE* bmx_mysql_makeBindings(BBINT bbt_size);
extern void bmx_mysql_deleteBindings(BBBYTE* bbt_bindings);
extern void bmx_mysql_setBool(BBBYTE* bbt_bools,BBINT bbt_index,BBINT bbt_isNull);
extern void bmx_mysql_deleteBools(BBBYTE* bbt_bools);
extern void bmx_mysql_bind_int(BBBYTE* bbt_params,BBINT bbt_index,BBINT* bbt_value,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_float(BBBYTE* bbt_params,BBINT bbt_index,BBFLOAT* bbt_value,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_double(BBBYTE* bbt_params,BBINT bbt_index,BBDOUBLE* bbt_value,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_long(BBBYTE* bbt_params,BBINT bbt_index,BBLONG* bbt_value,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_string(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt_value,BBINT bbt_size,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_date(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt_value,BBINT bbt__year,BBINT bbt__month,BBINT bbt__day,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_time(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt_value,BBINT bbt__hour,BBINT bbt__min,BBINT bbt__sec,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_datetime(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt_value,BBINT bbt__year,BBINT bbt__month,BBINT bbt__day,BBINT bbt__hour,BBINT bbt__min,BBINT bbt__sec,BBBYTE* bbt_nullsPtr);
extern void bmx_mysql_bind_blob(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt_value,BBINT bbt_size,BBBYTE* bbt_nullsPtr);
extern BBBYTE* bmx_mysql_makeVals(BBINT bbt_size);
extern void bmx_mysql_deleteVals(BBBYTE* bbt_vals);
extern void examine_bindings(BBBYTE* bbt_params,BBINT bbt_size,BBBYTE* bbt_stmt);
extern BBINT bmx_mysql_rowField_isNull(BBBYTE* bbt_row,BBINT bbt_index);
extern BBBYTE* bmx_mysql_rowField_chars(BBBYTE* bbt_row,BBINT bbt_index);
extern void bmx_mysql_inbind(BBBYTE* bbt_params,BBINT bbt_index,BBBYTE* bbt__field,BBBYTE* bbt_dataValue,BBULONGINT* bbt_dataLength,BBINT* bbt_isNull,BBINT bbt_ty);
extern BBINT bmx_mysql_stmt_bind_result(BBBYTE* bbt_stmt,BBBYTE* bbt_bindings);
extern BBINT bmx_mysql_stmt_fetch(BBBYTE* bbt_stmt);
extern BBINT bmx_mysql_stmt_bind_param(BBBYTE* bbt_stmt,BBBYTE* bbt_bindings);
extern BBBYTE* bmx_mysql_getBindings(BBBYTE* bbt_stmt);
extern BBBYTE* bmx_mysql_getParams(BBBYTE* bbt_stmt);
extern void bmx_mysql_stmt_insert_id(BBBYTE* bbt_stmt,BBLONG* bbt_id);
extern void bmx_mysql_insert_id(BBBYTE* bbt_handle,BBLONG* bbt_id);
extern BBBYTE* bmx_mysql_makeTime();
extern void bmx_mysql_deleteTime(BBBYTE* bbt_handle);
extern BBINT bmx_mysql_stmt_close(BBBYTE* bbt_stmt);
extern void bmx_mysql_affected_rows(BBBYTE* bbt_handle,BBLONG* bbt_rows);
extern BBINT bmx_mysql_stmt_reset(BBBYTE* bbt_stmt);
extern void bmx_mysql_stmt_affected_rows(BBBYTE* bbt_stmt,BBLONG* bbt_rows);
extern BBINT bmx_mysql_char_to_int(BBBYTE* bbt_data);
extern BBLONG bmx_mysql_char_to_long(BBBYTE* bbt_data);
extern BBFLOAT bmx_mysql_char_to_float(BBBYTE* bbt_data);
extern BBDOUBLE bmx_mysql_char_to_double(BBBYTE* bbt_data);
extern struct database_core_dbtypes_TDBDateTime_obj* bmx_mysql_char_to_datetime(BBBYTE* bbt_data);
extern struct database_core_dbtypes_TDBDate_obj* bmx_mysql_char_to_date(BBBYTE* bbt_data);
extern struct database_core_dbtypes_TDBTime_obj* bmx_mysql_char_to_time(BBBYTE* bbt_data);

#endif
